tpm2_akparse(8)

NAME
tpm2_akparse - parse the algorithm and key values in TPM2B_PUBLIC struct which input via file inputFile, and output the key into file akKeyFile.

SYNOPSIS
tpm2_akparse[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ -f|-k ]

parse the algorithm and key values in TPM2B_PUBLIC struct which input via file inputFile, and output the key into file akKeyFile.

DESCRIPTION
tpm2_akparse parse the algorithm and key values in TPM2B_PUBLIC struct which input via file inputFile, and output the key into file akKeyFile.

OPTIONS

-f  Specifies the file to be parsed

-k  Specifies the file used to save the parsed data

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_akparse

    tpm2_akparse -f ./ak.data -k ./ak.key